| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- SupportingIon

# MsXpS::libXpertMassCore::Processing::SupportingIon Struct

struct MsXpS::libXpertMassCore::Processing::SupportingIon

The SupportingIon struct encapsulates an input mass spectrum's monoisotopic centroid of a cluster that was succesfully matched to a corresponding calculated cluster. More...

Header: | `#include <MsXpS/libXpertMassCore/Processing/AbstractLowMassDeconvolver.hpp>`

- List of all members, including inherited members
- SupportingIon is part of libXpertMassCore Data processing.

## Public Functions

| SupportingIon()
| SupportingIon(int charge, double monoisotopic_mz, double intensity, QSharedPointer<pappso::Trace> matching_isotopic_cluster_qsp)
| SupportingIon(const MsXpS::libXpertMassCore::Processing::SupportingIon &other)
QString | toString() const
MsXpS::libXpertMassCore::Processing::SupportingIon & | operator=(const MsXpS::libXpertMassCore::Processing::SupportingIon &other)

## Public Variables

int | charge
double | intensity
QSharedPointer<pappso::Trace> | matchingIsotopicClusterQSPtr
double | monoisotopicMz

## Detailed Description

This struct is used in support of the code that performs low mass deconvolution of a given input mass spectrum.

## Member Function Documentation

### SupportingIon::SupportingIon()

Constructs an empty SupportingIon instance.

### SupportingIon::SupportingIon(int charge, double monoisotopic_mz, double intensity, QSharedPointer<pappso::Trace> matching_isotopic_cluster_qsp)

Constructs a SupportingIon instance and initializes it with the parameters.

- charge: the charge of the analyte beneath the isotopic cluster
- monoisotopic_mz: the monoisotopic m/z value of the analyte beneath the isotopic cluster
- intensity: the intensity of the cluster's monoisotopic centroid
- matching_isotopic_cluster_qsp: QSharedPointer to the pappso::Trace object representing the calculated isotopic cluster that matched succesfully an isotopic cluster from the input mass spectrum.

### SupportingIon::SupportingIon(const MsXpS::libXpertMassCore::Processing::SupportingIon &other)

Constructs a SupportingIon instance using other as a template.

### QString SupportingIon::toString() const

Crafts a string documenting this instance and returns it.

### MsXpS::libXpertMassCore::Processing::SupportingIon &SupportingIon::operator=(const MsXpS::libXpertMassCore::Processing::SupportingIon &other)

Initializes this SupportingIon instance using other.

Returns a reference to this instance.

## Member Variable Documentation

### int SupportingIon::charge

This variable holds the charge of the analyte beneath the isotopic cluster.

### double SupportingIon::intensity

This variable holds the intensity of the monoisotopic m/z of the analyte beneath the isotopic cluster.

### QSharedPointer<pappso::Trace> SupportingIon::matchingIsotopicClusterQSPtr

QSharedPointer to the pappso::Trace object representing the calculated isotopic cluster that matched succesfully an isotopic cluster from the input mass spectrum.

The calculated isotopic cluster's centroids have their intensities normalized to the input mass spectrum's cluster's monoisotopic centroid. This calculated isotopic cluster is used in case a synthetic a mass spectrum recapitulating the match is requested.

### double SupportingIon::monoisotopicMz

This variable holds the monoisotopic m/z value of the analyte beneath the isotopic cluster.